CMSIS-Core (Cortex-M): Stack Sealing Support Functions

| CMSIS-Core (Cortex-M) Version 5.6.0 CMSIS-Core support for Cortex-M processor-based devices

- Main Page
- Usage and Description
- Reference

All Data Structures Files Functions Variables Enumerations Enumerator Groups Pages
Macros | Functions
Stack Sealing Support Functions
TrustZone for Armv8-M/v8.1-M

Stack sealing macros and helper functions. More...

## Macros

#define | __STACK_SEAL
| Compiler/linker symbol specifying the location of the stack seal. More...

## Functions

void | __TZ_set_STACKSEAL_S (uint32_t *stackTop)
| Set stack seal at given address (secure) More...

## Description

Stack sealing macros and helper functions.

See Stack Sealing for details on stack sealing technique.

## Macro Definition Documentation

#define __STACK_SEAL

Compiler/linker symbol specifying the location of the stack seal.

The address of the specified symbol is used to set the stack seal during low level init. This is compiler/linker specific. CMSIS specifies common default for supported compilers.

Note
  This define is only intended to be used by the Startup File startup_<device>.c.

## Function Documentation

void __TZ_set_STACKSEAL_S | ( | uint32_t * | stackTop | ) |

Set stack seal at given address (secure)

Writes the stack seal values (2 x 0xFEF5EDA5U) to the given address when in secure state.

Parameters

  [in] | stackTop | address to write stackseal